<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Service</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>Service</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLClass"></span>
                    UMLClass
                </span>
                
                    <span style="margin-left: 10px" class="alert alert-info">«@Path=(&quot;&lt;host:5000&gt;/SDS_API/&quot;)»</span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon _icon-UMLModel'></span>Clases</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='831504b00b14841ba3f7f888560aaa66.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/&quot;)»Service</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <p>El servicio web se implementa haciendo uso del Framework Jersey, el cual es una implementación de JAX-RS</p>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            
                
                


                
                
<section class="element-list">
    <h3>Specialized Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='aad24dfa7a4656f2c1288639fc0bf1af.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Devicelist/{element}&quot;)»DevicesService</a></li>
        
        <li><a href='5ce1f66a879547fb0e017dc33ff52ad6.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Topology/{element}&quot;)»TopologyService</a></li>
        
        <li><a href='ddeb573b1420df4f646b07d339184d4b.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Slices/{type}&quot;)»SlicesService</a></li>
        
    </ul>
</section>



                
                
<section class="element-list">
    <h3>Interfaces</h3>
    <ul class="nav nav-list">
        
        <li><a href='5a7120534ba6e27f056339694bc1981c.html'><span class='node-icon _icon-UMLInterface'></span>SDS_Rest_Interface</a></li>
        
    </ul>
</section>



                
                


                
                

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            
            <section>
                <h3>Attributes</h3>
                <table class="table table-striped table-bordered">
                    <tr>
                        <th>Visibility</th>
                        <th>Name</th>
                        <th>Type</th>
                        <th>Description</th>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="326cd3d50010d87ad9ddff5646e99fa2.html">server</a></td>
                        <td>String</td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="0909ace965ef5d5442069090d2a7b26e.html">restClient</a></td>
                        <td><a href='a2254bca24b8a743677b650e9cd08285.html'>Client</a></td>
                        <td></td>
                    </tr>
                    
                </table>
            </section>
            

            <!-- Operations -->

            
            <section>
                <h3>Operations</h3>
                <table class="table table-striped table-bordered">
                    <tr>
                        <th>Visibility</th>
                        <th>Name</th>
                        <th>Description</th>
                    </tr>
                    
                    <tr>
                        <td>package</td>
                        <td><a href="76b3869506602c2ec3cd2d8e201cf312.html">getClient(): Client</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>package</td>
                        <td><a href="173314a59ac4026507c7c3459e87917f.html">getServer()</a></td>
                        <td></td>
                    </tr>
                    
                </table>
            </section>
            

            <!-- Receptions -->

            
            <section>
                <h3>Receptions</h3>
                <table class="table table-striped table-bordered">
                    <tr>
                        <th>Visibility</th>
                        <th>Name</th>
                        <th>Signal</th>
                        <th>Description</th>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="8e339969bee49d4fae50b0f10df8d6c0.html">Http request(operation: HttpOperation, resource: url, content)</a></td>
                        <td><a href='07e0db68754164cbcf748bff1ef68b30.html'>Http request</a></td>
                        <td></td>
                    </tr>
                    
                </table>
            </section>
            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>Service</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td>@Path=(&quot;&lt;host:5000&gt;/SDS_API/&quot;)</td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>package</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>true</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isActive</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                
<section class="element-list">
    <h3>Dependencies</h3>
    <ul class="nav nav-list">
        
        <li><a href='5a7120534ba6e27f056339694bc1981c.html'><span class='node-icon _icon-UMLInterface'></span>SDS_Rest_Interface</a></li>
        
        <li><a href='6739b67e1489406b476b1c4ada201b7b.html'><span class='node-icon _icon-UMLInterface'></span>ODL_Rest_Interface</a></li>
        
    </ul>
</section>



                
                

            

            <!-- Relationships -->

            
            
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='cb726eb3101663012e44d4cf19ca1f56.html'><span class='node-icon _icon-UMLGeneralization'></span>(DevicesService→Service)</a></li>
        
        <li><a href='e7c3484152201b15b44dc26b6aff8b52.html'><span class='node-icon _icon-UMLInterfaceRealization'></span>implements (Service→SDS_Rest_Interface)</a></li>
        
        <li><a href='9591b6e4fe695476b4b2fdbe43737364.html'><span class='node-icon _icon-UMLDependency'></span>uses (Service→ODL_Rest_Interface)</a></li>
        
        <li><a href='6d3298dc5cd18b5794b40a01c23d5e4c.html'><span class='node-icon _icon-UMLAssociation'></span>(Client—Service)</a></li>
        
        <li><a href='f52dc8d17443e982134b8762cd20752e.html'><span class='node-icon _icon-UMLGeneralization'></span>(TopologyService→Service)</a></li>
        
        <li><a href='c08f78dcc41e08466669f7dee7539450.html'><span class='node-icon _icon-UMLGeneralization'></span>(SlicesService→Service)</a></li>
        
    </ul>
</section>



            <!-- Owned Elements -->

            
            
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='e7c3484152201b15b44dc26b6aff8b52.html'><span class='node-icon _icon-UMLInterfaceRealization'></span>implements (Service→SDS_Rest_Interface)</a></li>
        
        <li><a href='9591b6e4fe695476b4b2fdbe43737364.html'><span class='node-icon _icon-UMLDependency'></span>uses (Service→ODL_Rest_Interface)</a></li>
        
        <li><a href='a2254bca24b8a743677b650e9cd08285.html'><span class='node-icon _icon-UMLClass'></span>«Singleton»Client</a></li>
        
    </ul>
</section>



        </div>
    </body>
</html>
